/* Reset og basis styling */



:root {
  /* --card-specs-background-color: #ffffff;
  --card-specs-header-background-color: #f9f9fb;
  --card-specs-border: #e4e4e9;
  --card-specs-theme-color: #1e5fbf;
  --card-specs-text-muted: #9999aa;
  --car-color: #e63946;
  --color-background-primary: #ffffff;
  --color-border-tertiary: #e0e0e0;
  --color-text-primary: #111111;
  --color-text-secondary: #888888; */

  --font-sans: "DM Sans", sans-serif;
  --mono: "DM Mono", monospace;

  --bg: #f5f5f7;
  --header-bg: #ffffff;
  --border: #e2e2ea;
  --text: #18181f;
  --muted: #7a7a8c;
  --accent: hsl(4.24deg 78.63% 54.12%);
  --accent2: hsl(230deg 60% 45%);
  --accent-hover: hsl(4.24deg 78.63% 54.12% / 5%);
  --accent-light: rgba(230, 59, 46, 0.07);
  --accent-text: white;
  --shadow: 0 2px 8px rgba(0, 0, 0, 0.06), 0 12px 32px rgba(0, 0, 0, 0.07);
  --car-color: hsl(47, 100%, 50%);
  --border-r: 14px;

}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, sans-serif;
  line-height: 1.6;
  color: #333;
  background-color: var(--bg);



  display: flex;
  flex-direction: column;
  min-height: 100dvh;
}

#app {
  flex: 1;
}



/* Main container */
.container {
  max-width: 1600px;
  margin: 1rem auto;
  padding: 0 2rem;
}

.container>h1 {
  margin-bottom: 2rem;
  color: #2c3e50;
}

.card-strip {


  .card-strip-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
    background-color: var(--header-bg);

    border-radius: 14px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.06), 0 12px 32px rgba(0, 0, 0, 0.07);
    margin: 2rem 0;

    .card-strip-header-view-all {
      color: var(--accent-text);
      box-shadow: 0 2px 8px rgba(0, 0, 0, 0.06), 0 12px 32px rgba(0, 0, 0, 0.07);
      padding: .5rem;
      border-radius: 8px;
      background-color: var(--accent);
      text-decoration: none;
    }
  }
}

/* Cars grid */



.brand-card {
  width: 300px;

  .brand-logo {
    width: 100%;
    aspect-ratio: 1;
  }
}

.car-detail-image img {
  width: 100%;
  height: auto;
  border-radius: 0.5rem;
  box-shadow: 0 4px 12px rgba(0, 0, 0, .15);

}











.breadcrumb {
  text-decoration: none;

  * {
    text-decoration: none;
  }
}


.brand-card {
  max-width: 300px;
  min-width: 95px;
}



.hidden-checkbox:nth-child(even) {
  display: none;
}


@media (max-width: 600px) {

  .container {
    padding: 1rem;
  }

}